Bug 203761 - guile crashes on x86_64 (when used by gnucash)
guile crashes on x86_64 (when used by gnucash)
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: guile (Show other bugs)
4.0
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 12:54 EDT by Bill Nottingham
Modified: 2014-03-16 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 07:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace from gdb (4.99 KB, text/plain)
2006-08-23 12:55 EDT, Bill Nottingham
no flags Details
Patch fixing a GC bug. (785 bytes, patch)
2006-08-24 07:07 EDT, Miroslav Lichvar
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2006-08-23 12:54:18 EDT
When running gnucash-2.0, guile segfaults.

guile-1.6.4-14

Install gnucash from http://people.redhat.com/notting/gnucash/2.0/RHEL-4/x86_64
(note: do *not* install the guile in that directory); gnucash will crash on
startup deep in the guile interpreter.

This issue is fixed in guile-1.6.7.

I don't really expect we're going to run out and fix this - feel free to close
this as DEFERRED or NEXTRELEASE. I'm mainly filing this for reference purposes
in case someone else runs into it.
Comment 1 Bill Nottingham 2006-08-23 12:55:14 EDT
Created attachment 134730 [details]
stack trace from gdb
Comment 2 Miroslav Lichvar 2006-08-24 07:07:21 EDT
Created attachment 134799 [details]
Patch fixing a GC bug.

This was fixed in 1.6.5, attaching relevant part of the diff.

Note You need to log in before you can comment on or make changes to this bug.